> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsfunnelupdate funnel and page



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/funnel/update-funnel-and-page
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/funnel/update-funnel-and-page:
    post:
      operationId: updateFunnelAndPage
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFunnelAndPageDTO'
      responses:
        '201':
          description: ''
components:
  schemas:
    UpdateFunnelAndPageDTO:
      type: object
      properties:
        funnelId:
          type: string
        locationId:
          type: string
        stepId:
          type: string
        archivePageId:
          type: string
        restoreArchivePageId:
          type: string
        restorePageId:
          type: string
        funnelStepDetails:
          $ref: '#/components/schemas/UpdateFunnelStep'
      required:
        - funnelId
        - locationId
        - stepId
        - archivePageId
        - restoreArchivePageId
        - restorePageId
        - funnelStepDetails
    UpdateFunnelStep:
      type: object
      properties:
        stepId:
          type: string
        name:
          type: string
        pages:
          type: array
          items:
            type: string
        sequence:
          type: number
        url:
          type: string
        type:
          type: string
        products:
          type: array
          items:
            type: string
        originId:
          type: string
        split:
          type: boolean
        control_traffic:
          type: number
        route_all_requests:
          type: boolean
        additional_routes:
          type: array
          items:
            type: string
        split_started_at:
          type: object
        split_ended_at:
          type: object
        domainName:
          type: string
      required:
        - stepId
        - name
        - pages
        - sequence
        - url
        - type
        - products
        - originId
        - split
        - control_traffic
        - route_all_requests
        - additional_routes
        - split_started_at
        - split_ended_at
        - domainName

````